ManagedLinkedList (Groovy 4.0.15)

Package: org.codehaus.groovy.util

## [Java] Class ManagedLinkedList<T>

- org.codehaus.groovy.util.ManagedLinkedList

-     @Deprecated
      public class ManagedLinkedList<T>
      extends Object

  This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.

  deprecated:
    replaced by ManagedConcurrentLinkedQueue
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedLinkedList(ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(T value)` adds a value to the list
    `` | `public boolean` | `isEmpty()` returns if the list is empty
    `` | `public Iterator<T>` | `iterator()` returns an iterator, which allows the removal of elements.
    `` | `public T[]` | `toArray(T[] tArray)` Returns an array of non-null elements from the source array.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ManagedLinkedList(ReferenceBundle bundle)

  - ### Method Detail

    - #### public void add(T value)

      adds a value to the list

      Parameters:
        `value` - the value

    - #### public boolean isEmpty()

      returns if the list is empty

      Returns:
        true if the list is empty

    - #### public Iterator<T> iterator()

      returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed.

      Returns:
        the Iterator

    - #### public T[] toArray(T[] tArray)

      Returns an array of non-null elements from the source array.

      Parameters:
        `tArray` - the source array
      Returns:
        the array